### Struct

# Qmi MessageUimPowerOffSimInput

since: 1.18

#### Description [src]

    struct QmiMessageUimPowerOffSimInput {
      /* No available fields */
    }

The `QmiMessageUimPowerOffSimInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.18

#### Constructors

###### qmi_message_uim_power_off_sim_input_new

Allocates a new `QmiMessageUimPowerOffSimInput`.

since: 1.18

#### Instance methods

###### qmi_message_uim_power_off_sim_input_get_slot

Get the ‘Slot’ field from `self`.

since: 1.18

###### qmi_message_uim_power_off_sim_input_ref

Atomically increments the reference count of `self` by one.

since: 1.18

###### qmi_message_uim_power_off_sim_input_set_slot

Set the ‘Slot’ field in the message.

since: 1.18

###### qmi_message_uim_power_off_sim_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.18